package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class OrderEnginBaseVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ApiModelProperty(value = "工程编号")
    private String projectNo;

    @ApiModelProperty(value = "负责人")
    private String manger;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ApiModelProperty(value = "项目开始时间")
    private Date startTime;

    @ApiModelProperty(value = "项目结束时间")
    private Date endTime;

    @ApiModelProperty(value = "省")
    private String province;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "省id")
    private String provinceId;

    @ApiModelProperty(value = "市")
    private String city;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "市id")
    private String cityId;

    @ApiModelProperty(value = "区")
    private String area;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "区id")
    private String areaId;

    @ApiModelProperty(value = "街道")
    private String street;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "街道id")
    private String streetId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "项目说明")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

}
