package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.plus.entity.GoodsNewsCategory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class GoodsNewsCategoryVO   {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品新维度分类id")
    private String goodsNewsCategoryId;

    @ApiModelProperty(value = "分类主标题")
    private String mainTitle;

    @ApiModelProperty(value = "分类副标题")
    private String subTitle;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "1=普通商品  2=套购商品")
    private Integer type;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;


    @ApiModelProperty(value = "商户名称")
    private String companyName;

    @ApiModelProperty(value = "排序整数")
    private Integer sortNum;
}
