package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class ChargingStandardVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(ignoreSelect = true,tbName = "b",colName = "name")
    @ApiModelProperty("业务类型")
    private String chargingStandardTypeName;

    @ZfireField(tbName = "e")
    @ApiModelProperty("品牌")
    private String brandName;

    @ZfireField(ignoreSelect = true,tbName = "c",colName = "name")
    @ApiModelProperty("一级分类")
    private String oneCategoryName;

    @ZfireField(ignoreSelect = true,tbName = "d",colName = "name")
    @ApiModelProperty("二级分类")
    private String twoCategoryName;

    @ApiModelProperty("收费标准")
    private String imageUrl;

    @ApiModelProperty("状态")
    private StatusEnum status;

    @ApiModelProperty("商户名称")
    private String companyWechatName;

    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private String updateTime;

}
