package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 问卷活动列表
 * @author ：lijh
 * @description：TODO
 * @date ：2024/5/7 10:48
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class PromotionQuestionnairVO {

    //@ZfireField(hide = true)
    @ApiModelProperty("活动编号")
    private String id;
    @ApiModelProperty("所属商户")
    private String companyWechatName;
    @ApiModelProperty("活动名称")
    private String name;
    @ApiModelProperty("是否显示")
    private IsEnum isShow;
    @ZfireField(ignoreSelect = true,isQuery = false)
    @ApiModelProperty("状态")
    private String statusText;
    @ZfireField(type = "date")
    @ApiModelProperty("活动开始日期")
    private Date startTime;
    @ZfireField(type = "date")
    @ApiModelProperty("活动结束日期")
    private Date endTime;
    @ZfireField(isQuery = false)
    @ApiModelProperty("服务二维码")
    private String qrcode;
    @ApiModelProperty("二维码主题")
    private String title;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("终止人")
    private String stopBy;
    @ApiModelProperty("终止时间")
    private Date stopTime;
}
