package com.gree.mall.manager.bean.listvo.material;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 师傅配件库存
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class WorkerStockPVO {

    @ZfireField(hide = true)
    @ApiModelProperty("所属商户id")
    private String companyWechatId;
    @ApiModelProperty("所属商户")
    private String companyWechatName;
//    @ZfireField(hide = true)
//    private String websitId;
//    @ApiModelProperty("网点名称")
//    private String websitName;

    @ZfireField(tbName = "e")
    @ApiModelProperty("师傅名称")
    private String nickName;
    @ZfireField(tbName = "e")
    @ApiModelProperty("师傅身份证号")
    private String idCard;
    @ZfireField(tbName = "e")
    @ApiModelProperty("师傅联系电话")
    private String mobile;

    @ZfireField(tbName = "b")
    @ApiModelProperty("配件名称")
    private String goodsName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("单位")
    private String goodsStockUnit;
    @ZfireField(tbName = "b")
    @ApiModelProperty("配件编码")
    private String goodsCode;
    @ZfireField(tbName = "b")
    @ApiModelProperty("适用品牌")
    private String brandRelaName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("适用产品大类")
    private String productRelaName;

    @ApiModelProperty("新件库存")
    private BigDecimal qty;
    @ApiModelProperty("旧件库存")
    private BigDecimal oldQty;
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
