package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.CategoryLevelEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class MaterialCategoryVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "分类编号")
    private String categoryId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "父分类编号")
    private String parentCategoryId;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "级别")
    private CategoryLevelEnum categoryLevel;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
