package com.gree.mall.manager.bean.material.stock;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
public class WebsitSalesGoodsVO {

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "商品简称")
    private String goodsSpell;

    @ApiModelProperty(value = "商品规格")
    private String goodsSpecification;

    @ApiModelProperty(value = "商品库存单位（网点采购时、网点销售时）")
    private String goodsStockUnit;

    @ApiModelProperty(value = "商品销售单位（师傅采购时、师傅销售时）")
    private String goodsSalesUnit;

    @ApiModelProperty(value = "品牌名称")
    private String brandRelaName;

    @ApiModelProperty(value = "产品名称")
    private String productRelaName;

    @ApiModelProperty(value = "库存数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "商品信息来源 BASE=基础资料 ENGIN=工程基础资料 M_NORM=辅材收费标准")
    private String itemSourceType;

    @ApiModelProperty(value = "商品信息id")
    private String itemSourceId;

    @ApiModelProperty(value = "收费标准")
    private String normType;

    @ApiModelProperty(value = "配件类型")
    private String partType;
}
