package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.workorder.ExamineProjectTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class ExamineProjectConfigVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "考核项目")
    private String name;

    @ApiModelProperty(value = "考核类型")
    private ExamineProjectTypeEnum type;

    @ApiModelProperty(value = "考核金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
