package com.gree.mall.miniapp.bean.workorder;

import com.gree.mall.miniapp.plus.entity.PgOrderBase;
import com.gree.mall.miniapp.plus.entity.PgOrderFlag;
import com.gree.mall.miniapp.plus.entity.PgOrderProduct;
import com.gree.mall.miniapp.plus.entity.PgOrderWorker;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PgOrderBaseDetailVO extends PgOrderBase {

    private List<PgOrderFlag> pgOrderFlags;
    @ApiModelProperty("商品信息")
    public List<PgOrderProduct> pgOrderProducts;
    @ApiModelProperty("师傅")
    public List<PgOrderWorker> pgOrderWorkers;

    @ApiModelProperty("服务流程 1=提单 2=派工 3=服务 4=完工 5=已评价")
    private Integer serviceFlag = 1;
}
