package com.gree.mall.manager.bean.count;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class MaterialCount {


    @ApiModelProperty("辅材总配置数量")
    private Integer allmGoodsNum = 0;

    @ApiModelProperty("辅材有效配置数量")
    private Integer onMGoodsNum = 0;

    @ApiModelProperty("辅材无效配置数量")
    private Integer offMGoodsNum = 0;


    @ApiModelProperty("辅材收费标准配置数量")
    private Integer allmChargeGoodsNum = 0;

    @ApiModelProperty("辅材收费标准有效配置数量")
    private Integer onmChargeGoodsNum = 0;

    @ApiModelProperty("辅材收费标准无效配置数量")
    private Integer offmChargeGoodsNum = 0;


    @ApiModelProperty("配件总配置数量")
    private Integer allpGoodsNum = 0;

    @ApiModelProperty("配件有效配置数量")
    private Integer onPGoodsNum = 0;

    @ApiModelProperty("配件无效配置数量")
    private Integer offPGoodsNum = 0;


    @ApiModelProperty("供应商总配置数量")
    private Integer allVendNum = 0;

    @ApiModelProperty("供应商有效配置数量")
    private Integer onVendNum = 0;

    @ApiModelProperty("供应商无效配置数量")
    private Integer offVendNum = 0;



    @ApiModelProperty("辅材采购入库单保存数量")
    private Integer savePurchaseNum = 0;

    @ApiModelProperty("辅材采购入库单审核数量")
    private Integer okPurchaseNum = 0;

    @ApiModelProperty("辅材采购入库单审核失败数量")
    private Integer failPurchaseNum = 0;



    @ApiModelProperty("辅材采购退货单保存数量")
    private Integer savePurchaseRetNum = 0;

    @ApiModelProperty("辅材采购退货单审核数量")
    private Integer okPurchaseRetNum = 0;

    @ApiModelProperty("辅材采购退货单审核失败数量")
    private Integer failPurchaseRetNum = 0;



    @ApiModelProperty("辅材调价保存数量")
    private Integer savePriceUpdNum = 0;

    @ApiModelProperty("辅材调价审核数量")
    private Integer okPriceUpdNum = 0;


    @ApiModelProperty("辅材销售订单保存数量")
    private Integer saveSalesNum = 0;

    @ApiModelProperty("辅材销售订单提交数量")
    private Integer submitSalesNum = 0;

    @ApiModelProperty("辅材销售订单已支付未提货数量")
    private Integer payNoTakeSalesNum = 0;

    @ApiModelProperty("辅材销售订单已支付已提货数量")
    private Integer paytakeSalesNum = 0;

    @ApiModelProperty("辅材销售订单已取消数量")
    private Integer cancelSalesNum = 0;



    @ApiModelProperty("辅材退货订单保存数量")
    private Integer saveSalesRetNum = 0;

    @ApiModelProperty("辅材退货订单提交数量")
    private Integer submitSalesRetNum = 0;

    @ApiModelProperty("辅材退货订单审批通过数量")
    private Integer okSalesRetNum = 0;

    @ApiModelProperty("辅材退货订单待待审批数量")
    private Integer waitSalesRetNum = 0;




    @ApiModelProperty("配件采购入库单保存数量")
    private Integer savePurchasePNum = 0;

    @ApiModelProperty("配件采购入库单审核数量")
    private Integer okPurchasePNum = 0;

    @ApiModelProperty("配件采购入库单审核失败数量")
    private Integer failPurchasePNum = 0;



    @ApiModelProperty("配件采购退货单保存数量")
    private Integer savePurchaseRetPNum = 0;

    @ApiModelProperty("配件采购退货单审核数量")
    private Integer okPurchaseRetPNum = 0;

    @ApiModelProperty("配件采购退货单审核失败数量")
    private Integer failPurchaseRetPNum = 0;



    @ApiModelProperty("配件销售订单保存数量")
    private Integer saveSalesPNum = 0;

    @ApiModelProperty("配件销售订单提交数量")
    private Integer submitSalesPgNum = 0;

    @ApiModelProperty("配件销售订单已支付未提货数量")
    private Integer payNoTakeSalesPgNum = 0;

    @ApiModelProperty("配件销售订单已支付已提货数量")
    private Integer payTakeSalesPgNum = 0;

    @ApiModelProperty("配件销售订单已取消数量")
    private Integer cancelSalesPgNum = 0;


    @ApiModelProperty("新件返还保存数量")
    private Integer saveNewNum = 0;

    @ApiModelProperty("新件返还提交数量")
    private Integer submitNewNum = 0;

    @ApiModelProperty("新件返还通过数量")
    private Integer okNewNum = 0;


    @ApiModelProperty("旧件返还保存数量")
    private Integer saveOldNum = 0;

    @ApiModelProperty("旧件返还提交数量")
    private Integer submitOldNum = 0;

    @ApiModelProperty("旧件返还通过数量")
    private Integer okOldNum = 0;



    @ApiModelProperty("旧件返厂保存数量")
    private Integer saveOldFactoryNum = 0;

    @ApiModelProperty("旧件返厂提交数量")
    private Integer submitOldFactoryNum = 0;

    @ApiModelProperty("旧件返厂通过数量")
    private Integer okOldFactoryNum = 0;

    @ApiModelProperty("旧件返厂失败数量")
    private Integer failOldFactoryNum = 0;


    @ApiModelProperty("微信支付待结算")
    private Integer waitWechatNum = 0;

    @ApiModelProperty("微信支付可提现")
    private Integer waitingWechatNum = 0;

    @ApiModelProperty("微信支付提现中")
    private Integer ingWechatNum = 0;

    @ApiModelProperty("微信支付已提现")
    private Integer overWechatNum = 0;


    @ApiModelProperty("微信支付待结算")
    private Integer waitWechatNumOne = 0;

    @ApiModelProperty("微信支付已完成")
    private Integer okWechatNumOne = 0;

    @ApiModelProperty("微信支付异常结算")
    private Integer ycWechatNumOne = 0;

    @ApiModelProperty("微信支付线下结算")
    private Integer lineWechatNumOne = 0;




    @ApiModelProperty("线下支付待结算")
    private Integer waitWechatLineNum = 0;

    @ApiModelProperty("线下支付已提现")
    private Integer overWechatLineNum = 0;



    @ApiModelProperty("工程配件部分付款")
    private Integer waitSalesManagerPNum = 0;

    @ApiModelProperty("工程配件未付款")
    private Integer noSalesManagerPNum = 0;

    @ApiModelProperty("工程配件已完成")
    private Integer okSalesManagerPNum = 0;


    @ApiModelProperty("工程辅材部分付款")
    private Integer waitSalesManagerNum = 0;

    @ApiModelProperty("工程辅材未付款")
    private Integer noSalesManagerNum = 0;

    @ApiModelProperty("工程辅材已完成")
    private Integer okSalesManagerNum = 0;



    @ApiModelProperty("辅材手工费待结算")
    private Integer waitManualNum = 0;

    @ApiModelProperty("辅材手工费已完成")
    private Integer okManual = 0;


    @ApiModelProperty("销售提现统计待发放")
    private Integer waitWithdrawalNum = 0;

    @ApiModelProperty("销售提现统计已发放")
    private Integer okWithdrawalNum = 0;




    @ApiModelProperty("工程辅材配件开单-辅材维护统计总配置数量")
    private Integer allAloneNum = 0;

    @ApiModelProperty("工程辅材配件开单-辅材维护统计有效配置数量")
    private Integer onAloneNum = 0;

    @ApiModelProperty("工程辅材配件开单-辅材维护统计无效配置数量")
    private Integer offAloneNum = 0;


    @ApiModelProperty("工程辅材配件开单-配件维护统计总配置数量")
    private Integer allAlonePNum = 0;

    @ApiModelProperty("工程辅材配件开单-配件维护统计有效配置数量")
    private Integer onAlonePNum = 0;

    @ApiModelProperty("工程辅材配件开单-配件维护统计无效配置数量")
    private Integer offAlonePNum = 0;



    @ApiModelProperty("工程辅材配件开单-收款统计待审核")
    private Integer waitPayManagerNum = 0;

    @ApiModelProperty("工程辅材配件开单-收款统计待收款")
    private Integer waitPAYPayManagerNum = 0;

    @ApiModelProperty("工程辅材配件开单-收款统计部分收款")
    private Integer partpayPayManagerNum = 0;

    @ApiModelProperty("工程辅材配件开单-收款统计收款完成")
    private Integer payPayManagerNum = 0;

}
