package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.CustomSecStatusEnum;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.plus.entity.SecKillActivity;
import com.gree.mall.manager.plus.entity.SecKillStage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ZfireField(tbName = "a")
public class SecKillActivityStageBeanVO   {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "秒杀id")
    private String secKillId;

    @ApiModelProperty(value = "活动名称")
    private String secKillName;

    @ApiModelProperty(value = "秒杀开始时间")
    private Date startTime;

    @ApiModelProperty(value = "秒杀结束时间")
    private Date endTime;

    @ApiModelProperty(value = "活动状态")
    private StatusEnum status;

    @ApiModelProperty(value = "活动备注")
    private String remark;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "删除标志  true：删除  false：未删除")
    private Boolean del;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyName;




}
