package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.repair.settle.CostTypeEnum;
import com.gree.mall.manager.enums.repair.settle.IsBuckleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerWaitBuckleVO {

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty("费用发生时间")
    private Date createTime;

    @ZfireField(tbName = "aa")
    @ApiModelProperty("服务人员姓名")
    private String nickName;

    @ApiModelProperty("服务人员编号")
    private String workerNumber;

    @ApiModelProperty("身份证")
    private String idcard;

    @ZfireField(tbName = "b")
    @ApiModelProperty("联系方式")
    private String mobile;

    @ApiModelProperty("费用项目名称")
    private CostTypeEnum costType;

    @ApiModelProperty("费用金额")
    private BigDecimal buckleAmount;

    @ApiModelProperty("状态")
    private IsBuckleEnum isBuckle;

    @ApiModelProperty("扣除时间")
    private Date updateTime;

}
