package com.gree.mall.manager.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum MaterialSalesFlagEnum implements BaseEnum {

    SAVE("SAVE","保存"),
    SUBMIT("SUBMIT","提交"),
    PAY_NOT_TAKE("PAY_NOT_TAKE","已支付,未提货"),
    PAY_TAKE("PAY_TAKE","已支付,已提货"),
    CANCEL("CANCEL","取消订单"),
    IMPORT_WAIT("IMPORT_WAIT","导入待处理"),
    IMPORT_ERR("IMPORT_ERR","导入处理失败"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

}
